Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |  

This web mail archive is frozen.

This page is part of a frozen web archive of this mailing list.

You can still navigate around this archive, but know that no new mails have been added to it since July of 2016.

Click here to be taken to the new web archives of this list; it includes all the mails that are in this frozen archive plus all new mails that have been sent to the list since it was migrated to the new archives.

Subject: Re: [OMPI devel] Open MPI (not quite) on Cray XC30
From: Jure Pečar (pegasus_at_[hidden])
Date: 2013-01-30 15:45:53


On Wed, 30 Jan 2013 10:09:09 -0800
Ralph Castain <rhc_at_[hidden]> wrote:

> I'm afraid that optimized-common doesn't stand alone - it requires other modules as well. If you look at optimized-lustre, you'll see that we include cray-common, optimized-common, and gnu-common, and then add the lustre flags.
>
> You need all three of those modules to build successfully. If you don't want lustre support, I suggest you copy the optimized-lustre platform file to make you own, and then just remove the lustre flags.

Ah excellent, a lesson in building open-mpi. Thanks.

I can confirm it builds with platform set to optimized-lustre.

Since this is my first meeting with cray environment, I just have to figure out how to run the thing. Not a question for this list anymore.

Thanks again!

-- 
Jure Pečar
http://jure.pecar.org